Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Debian This forum is for the discussion of Debian Linux.


  Search this Thread
Old 12-15-2003, 11:59 PM   #1
Registered: Sep 2003
Posts: 31

Rep: Reputation: 15
Unhappy apt wont install a single package

I am very frustrted. I have not been able to install a single program using apt. I tried to install gaim, one of many packages. Here is the output.

-su-2.05b# apt-get install gaim
Reading Package Lists... Done
Building Dependency Tree... Done
Note, selecting gaim-gnome instead of gaim
Package gaim-gnome is a virtual package provided by:
You should explicitly select one to install.
E: Package gaim-gnome has no installation candidate

Here is a copy of my sources.list file

-su-2.05b# cat sources.list

#deb ./
#deb ./
deb stable main contrib
#deb testing main contrib
# deb-src unstable main contrib

deb stable main non-free contrib
deb-src stable main non-free contrib
deb stable/non-US main contrib non-free
deb-src stable/non-US main contrib non-free
deb stable/updates main contrib non-free

what the heck am i doing wrong???
I know there was an attack on Debians site and that is down. Does that have anything to do with this insanity. As you can assume, i am new to debian, however i have used apt many times before with RH and Suse.
Old 12-16-2003, 01:18 AM   #2
Registered: Nov 2003
Distribution: RH, Fedora, Debian, Knoppix
Posts: 436

Rep: Reputation: 31

apt-cache search gaim

it should give you a list of packages concerning gaim. Maybe just type the correct name

Have you done
apt-get update before?
Old 12-16-2003, 05:55 PM   #3
Registered: Sep 2003
Posts: 31

Original Poster
Rep: Reputation: 15
i have done apt-get update ; apt-get upgrade several times, and with different sources as well. Every time i do that, it tells me there are no packages to upgrade, or that i need dependencies, but it doesnt download them. It was my understanding that apt would download and install your dependencies if you need them.
Old 12-16-2003, 05:59 PM   #4
Registered: Nov 2003
Distribution: RH, Fedora, Debian, Knoppix
Posts: 436

Rep: Reputation: 31
yes, it is apt's usual behavior. Sometimes it isn' t though.

have you tried apt-get install gaim-gnome?

or apt-cache search gaim?


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get returns lots of errors and wont install packages... StrangeBiscuit Debian 14 09-25-2006 06:18 PM
apt-get -f install wont work newbieX Linux - Newbie 1 02-23-2005 07:54 AM
2 probs, apt-get wont download anything. blackbox wont install minibootsy Linux - Software 2 06-10-2004 02:55 AM
How to install java virtual machine package with apt-get? davidas Debian 5 04-16-2004 12:48 AM
Does apt-get install <package> upgrade the package if it is already installed? davidas Debian 4 04-05-2004 07:12 PM

All times are GMT -5. The time now is 10:25 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration